Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.cellml
Class CellMLImporter

    java.lang.Object
      biouml.plugins.cellml.CellMLImporter

All Implemented Interfaces:
  DiagramImporter

public class CellMLImporter
extends java.lang.Object
implements DiagramImporter

Field Summary
`protected static org.apache.log4j.Category` | `log`

Constructor Summary
`CellMLImporter()`

Method Summary
`boolean` | `accept(java.io.File file)` Returns true if the specified file can be imported.
`void` | `doImport(Module module, java.io.File file, java.lang.String diagramName)` Imports diagram from the spcified file into the specified module.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

Constructor Detail

### CellMLImporter

    public CellMLImporter()

Method Detail

### accept

    public boolean accept(java.io.File file)

  Description copied from interface: `DiagramImporter`
  Returns true if the specified file can be imported.

  Specified by:
    `accept` in interface `DiagramImporter`
  Parameters:
    `file` - - file with data that will be imported to the diagram

### doImport

    public void doImport(Module module,
                         java.io.File file,
                         java.lang.String diagramName)
                  throws java.lang.Exception

  Description copied from interface: `DiagramImporter`
  Imports diagram from the spcified file into the specified module.

  Specified by:
    `doImport` in interface `DiagramImporter`
  Parameters:
    `module` - - module where the imported diagram will be located
    `file` - - data file to be impored (for example file with SBML or CellML model)
    `diagramName` - - name of the diagram in the module.
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.